package md

type BuyPackageRecordsRequest struct {
	Page  int `json:"page"`
	Limit int `json:"limit"`
}
type BuyPackageRecordsResponse struct {
	Id          int    `json:"id"`
	OrdNo       string `json:"ord_no"`
	TradeNo     string `json:"trade_no"`
	PackageId   int    `json:"package_id"`
	Uid         int    `json:"uid"`
	Amount      string `json:"amount"`
	State       int    `json:"state"`
	PayChannel  int    `json:"pay_channel"`
	Months      int    `json:"months"`
	PackageName string `json:"package_name"`
	CreateAt    string `json:"create_at" `
	UpdateAt    string `json:"update_at" `
}
type ActivityGroupListRequest struct {
	Page  int `json:"page"`
	Limit int `json:"limit"`
}
type AddActivityGroupRequest struct {
	Name                    string `json:"name"`
	ChatRoomId              string `json:"chat_room_id"`
	ChatRoomOwnerWxNickname string `json:"chat_room_owner_wx_nickname"`
	ChatRoomOwnerWxHeadUrl  string `json:"chat_room_owner_wx_head_url"`
	ChatRoomOwner           string `json:"chat_room_owner"`
	MemberCount             int    `json:"member_count"`
	BigHeadImgUrl           string `json:"big_head_img_url"`
	SmallHeadImgUrl         string `json:"small_head_img_url"`
}
type SourceGroupListRequest struct {
	Page  int `json:"page"`
	Limit int `json:"limit"`
}
type PreviewSourceRequest struct {
	ActivateGroupId int `json:"activate_group_id"`
	Page            int `json:"page"`
	Limit           int `json:"limit"`
}
type JoinSourceGroupRequest struct {
	FollowActivateGroupId int    `json:"follow_activate_group_id"`
	Name                  string `json:"name"`
	FollowChatRoomId      string `json:"follow_chat_room_id"`
	FollowChatRoomOwner   string `json:"follow_chat_room_owner"`
	FollowChatMemberCount int    `json:"follow_chat_member_count"`
	FollowBigHeadImgUrl   string `json:"follow_big_head_img_url"`
	FollowSmallHeadImgUrl string `json:"follow_small_head_img_url"`
	JoinActivateGroupIds  []int  `json:"activate_group_id"`
}
